perturbation_fold.h File Reference
Constraining the Secondary Structure Predictions and Evaluations » Generate soft constraints from data

Find a vector of perturbation energies that minimizes the discripancies between predicted and observed pairing probabilities and the amount of neccessary adjustments. More...

Include dependency graph for perturbation_fold.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | VRNA_OBJECTIVE_FUNCTION_QUADRATIC 0
| Use the sum of squared aberrations as objective function. More...
#define | VRNA_OBJECTIVE_FUNCTION_ABSOLUTE 1
| Use the sum of absolute aberrations as objective function. More...
#define | VRNA_MINIMIZER_DEFAULT 0
| Use a custom implementation of the gradient descent algorithm to minimize the objective function.
#define | VRNA_MINIMIZER_CONJUGATE_FR 1
| Use the GNU Scientific Library implementation of the Fletcher-Reeves conjugate gradient algorithm to minimize the objective function. More...
#define | VRNA_MINIMIZER_CONJUGATE_PR 2
| Use the GNU Scientific Library implementation of the Polak-Ribiere conjugate gradient algorithm to minimize the objective function. More...
#define | VRNA_MINIMIZER_VECTOR_BFGS 3
| Use the GNU Scientific Library implementation of the vector Broyden-Fletcher-Goldfarb-Shanno algorithm to minimize the objective function. More...
#define | VRNA_MINIMIZER_VECTOR_BFGS2 4
| Use the GNU Scientific Library implementation of the vector Broyden-Fletcher-Goldfarb-Shanno algorithm to minimize the objective function. More...
#define | VRNA_MINIMIZER_STEEPEST_DESCENT 5
| Use the GNU Scientific Library implementation of the steepest descent algorithm to minimize the objective function. More...

## Typedefs

typedef void(* | progress_callback) (int iteration, double score, double *epsilon)
| Callback for following the progress of the minimization process. More...

## Functions

void | vrna_sc_minimize_pertubation (vrna_fold_compound_t *vc, const double *q_prob_unpaired, int objective_function, double sigma_squared, double tau_squared, int algorithm, int sample_size, double *epsilon, double initialStepSize, double minStepSize, double minImprovement, double minimizerTolerance, progress_callback callback)
| Find a vector of perturbation energies that minimizes the discripancies between predicted and observed pairing probabilities and the amount of neccessary adjustments. More...

## Detailed Description

Find a vector of perturbation energies that minimizes the discripancies between predicted and observed pairing probabilities and the amount of neccessary adjustments.